# $Revision: 1.22 $, $Date: 2008/09/18 15:58:24 $
Summary:	Tab Window Manager for the X Window System
Summary(pl.UTF-8):	Twm - podstawowy zarządca okien dla X Window System
Summary(ru.UTF-8):	Простой оконный менеджер
Summary(uk.UTF-8):	Простий віконний менеджер
Name:		xorg-app-twm
Version:	1.0.4
Release:	2
License:	MIT
Group:		X11/Window Managers
Source0:	http://xorg.freedesktop.org/releases/individual/app/twm-%{version}.tar.bz2
# Source0-md5:	0865e14c73c08fa8c501ae877298ee9f
Source1:	twm.desktop
Source2:	twm-xsession.desktop
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
Obsoletes:	X11-twm < 1:7.0.0
Obsoletes:	XFree86-twm < 1:7.0.0
Obsoletes:	twm < 1:7.0.0
Conflicts:	filesystem < 3.0-20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_wmpropsdir	/usr/share/gnome/wm-properties
%define		_xsessdir	/usr/share/xsessions
# for system.twmrc
%define		_datadir	%{_sysconfdir}

%description
Twm is a window manager for the X Window System. It provides
titlebars, shaped windows, several forms of icon management,
user-defined macro functions, click-to-type and pointerdriven keyboard
focus, and user-specified key and pointer button bindings.

%description -l pl.UTF-8
Twm jest zarządcą okien dla X Window System. Daje belki tytułowe,
ramki okien, parę form zarządzania ikonami, definiowalne makra,
ustawianie focusu kliknięciem lub położeniem wskaźnika myszy,
definiowalne przypisania klawiszy i przycisków myszy.

%description -l ru.UTF-8
Простой компактний оконный менеджер.

%description -l uk.UTF-8
Простий компактний віконний менеджер.

%prep
%setup -q -n twm-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_wmpropsdir}/twm.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_xsessdir}/twm.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_bindir}/twm
%dir %{_sysconfdir}/X11/twm
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/twm/system.twmrc
%{_wmpropsdir}/twm.desktop
%{_xsessdir}/twm.desktop
%{_mandir}/man1/twm.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-twm.spec,v $
Revision 1.22  2008/09/18 15:58:24  patrys
- move wm-properties
- rel 2

Revision 1.21  2008-03-06 22:10:32  arekm
- up to 1.0.4

Revision 1.20  2007/02/19 14:56:21  arekm
- rebuild to fix FileDigestParameterized rpm issue

Revision 1.19  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.17  2007/01/06 22:47:46  arekm
- obsolete only Ac version of X11 so metapackage-xorg will have a chance to work

Revision 1.16  2006/11/30 19:01:01  qboosh
- moved system.twmrc to /etc/X11/twm, like we used to have in monolith

Revision 1.15  2006/11/30 18:48:37  arekm
- up to 1.0.3

Revision 1.14  2006/10/15 14:37:04  qboosh
- more verbose files

Revision 1.13  2006/10/14 17:49:10  qboosh
- updated to 1.0.2, release 1

Revision 1.12  2006/02/03 15:15:07  qboosh
- merged twm.desktop and twm-xsession.desktop from monolith

Revision 1.11  2006/01/12 13:29:11  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.10  2005/12/09 12:28:12  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.9  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.8  2005/10/21 21:51:18  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.7  2005/08/28 10:51:42  qboosh
- copy-pastos

Revision 1.6  2005/08/28 10:41:02  qboosh
- merged descs from X11.spec, Obsoletes for X.org/XFree86 packages

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 18:42:30  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added twm-man.patch
- added BR: libXt-devel
- release 0.02

* Sun Aug  7 2005 20:09:13  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
